## org.apache.aries.subsystem.core.archive
Class AbstractParameter

    java.lang.Object
      org.apache.aries.subsystem.core.archive.AbstractParameter

All Implemented Interfaces:
  Parameter

Direct Known Subclasses:
  AbstractAttribute, AbstractDirective

    public abstract class AbstractParameter

extends Object
implements Parameter

Constructor Summary
`AbstractParameter(String name, Object value)`

Method Summary
`String` `getName()`
`Object` `getValue()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractParameter

    public AbstractParameter(String name,
                             Object value)

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `Parameter`

### getValue

    public Object getValue()

  Specified by:
    `getValue` in interface `Parameter`

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.